> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ainvest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Insider trades

> Get insider trades as filed with SEC, including date, type of trade, number of shares and price

The federal securities laws require certain individuals (such as officers, directors, and those that hold more than 10% of any class of a company’s securities)
to report purchases, sales, and holdings of their company’s securities by filing Forms 3, 4, and 5.

When a person becomes an insider (for example, when they are hired as an officer or director), they must file a Form 3 to initially disclose his or her ownership of the company’s securities.
Form 3 must be filed within 10 days after the person becomes an insider.

In most cases, when an insider executes a transaction, he or she must file a Form 4.
With this form filing, the public is made aware of the insider’s various transactions in company securities, including the amount purchased or sold and the price per share.
Form 4 must be filed within two business days following the transaction date.
Transactions in a company’s common stock as well as derivative securities, such as options, warrants, and convertible securities, are reported on the form.

A Form 5 is generally due to the SEC no later than 45 days after the company’s fiscal year ends and is only required from an insider when at least one transaction,
because of an exemption or failure to earlier report, was not reported during the year.
For example, some transactions, such as certain purchases by an insider of less than \$10,000 in a six-month period,
don’t have to be reported on Form 4 when they occur but do have to be reported on Form 5.

This information is public, we collect the filed forms, parse them and expose as nicely structured json here.


## OpenAPI

````yaml reference/ownership/ownership.yaml GET /ownership/insider
openapi: 3.1.0
info:
  title: Insiders, politicians and istitutional ownership
  description: >-
    Get trades and ownership of US stocks by insiders, politicians and
    institutional investors
  version: 1.0.0
servers:
  - url: https://openapi.ainvest.com/open
    description: Production environment
security:
  - bearerAuth: []
tags:
  - name: Ownership
    description: >-
      Provides publicly available information about trades and ownership of US
      stocks by insiders, politicians and institutional investors
    externalDocs:
      url: https://docs.ainvest.com/ownership/insider
paths:
  /ownership/insider:
    get:
      tags:
        - Ownership
      summary: Get insider trades as filed with SEC
      description: >-
        Get insider trades as filed with SEC, including date, type of trade,
        number of shares and price
      operationId: getInsiderTrades
      parameters:
        - name: ticker
          in: query
          required: true
          description: US stock market ticker symbol, e.g. AAPL, TSLA, etc.
          schema:
            type: string
        - name: page
          in: query
          required: false
          description: Page number for pagination, default is 1
          schema:
            type: integer
            minimum: 1
            default: 1
        - name: size
          in: query
          required: false
          description: Number of items per page, default is 10
          schema:
            type: integer
            minimum: 1
            default: 10
      responses:
        '200':
          description: Successful response in standard envelope.
          content:
            application/json:
              schema:
                $schema: http://json-schema.org/draft-04/schema#
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      data:
                        type: array
                        description: A list of trades, ordered newest first
                        items:
                          $ref: '#/components/schemas/InsiderTrade'
                  status_code:
                    type: number
                    description: Status code, `0` for success
                  status_msg:
                    type: string
                    description: Status message, `success` for success
        '400':
          description: >-
            Validation error, i.e. requested stock is not found or parameter is
            not specified
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status_code: 4012
                status_msg: Invalid param
components:
  schemas:
    InsiderTrade:
      type: object
      properties:
        name:
          type: string
          description: Name of the person who made the trade
        position:
          type: string
          description: >-
            Position of the person who made the trade, e.g. "Principal
            Accounting Officer".
        trade_date:
          type: string
          description: The date of the trade, YYYY-MM-DD format
        filing_date:
          type: string
          description: The date when the trade was filed with SEC, YYYY-MM-DD format
        reporting_gap:
          type: string
          description: >-
            Human readable string indicating the difference between trade date
            and filing date, for example "2 Days"
        trade_type:
          type: string
          description: The side of the trade, `buy` or `sell`
        shares_chg:
          type: number
          description: Number of shares traded, positive for buy, negative for sell
        shares_chg_percent:
          type: number
          description: >-
            Percentage change of shares ownership by this person, positive for
            buy, negative for sell
        shares_held:
          type: number
          description: Number of shares held by this person after the trade
        price:
          type: number
          description: Price per share in USD
    Error:
      type: object
      properties:
        status_code:
          type: integer
          description: Business status code
        status_msg:
          type: string
          description: Error message
      required:
        - status_code
        - status_msg
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your key. [Get the key
        here](https://www.ainvest.com/business/developer-manage/)

````